From 48c874997f2714268ef2dbdf44d65ebca2a2d5a3 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Thu, 10 Aug 2017 23:33:47 -0400
Subject: [PATCH v3 2/9] Have lcov exclude external files

Call lcov with --no-external option to exclude external files (for
example, system headers with inline functions) from output.
---
 src/Makefile.global.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/Makefile.global.in b/src/Makefile.global.in
index f352ba20e2..2b22f0de29 100644
--- a/src/Makefile.global.in
+++ b/src/Makefile.global.in
@@ -896,7 +896,7 @@ coverage-html-stamp: lcov.info
 all_gcda_files = $(shell find . -name '*.gcda' -print)
 
 lcov.info: $(all_gcda_files)
-	$(LCOV) -d . -c -o $@ $(LCOVFLAGS) --gcov-tool $(GCOV)
+	$(LCOV) -d . -c -o $@ $(LCOVFLAGS) --gcov-tool $(GCOV) --no-external
 
 
 # hook for clean-up
-- 
2.14.1

